E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
GNet::SocketProtocolSink Class Referenceabstract

An interface used by GNet::SocketProtocol to deliver data from a socket. More...

`#include <gsocketprotocol.h>`

Inheritance diagram for GNet::SocketProtocolSink:

## Public Member Functions
virtual | ~SocketProtocolSink ()
| Destructor.

## Protected Member Functions
virtual void | onData (const char *, size_t)=0
| Called when data is read from the socket.
virtual void | onSecure (const std::string &peer_certificate)=0
| Called once the secure socket protocol has been successfully negotiated. More...

## Friends
class | SocketProtocolImp

## Detailed Description

An interface used by GNet::SocketProtocol to deliver data from a socket.

Definition at line 134 of file gsocketprotocol.h.

## Member Function Documentation

virtual void GNet::SocketProtocolSink::onSecure | ( | const std::string & | peer_certificate | ) |
| protected pure virtual

Called once the secure socket protocol has been successfully negotiated.

Implemented in GSmtp::ServerPeer, GSmtp::Client, GSmtp::RequestClient, GSmtp::SpamClient, GSmtp::AdminServerPeer, and GPop::ServerPeer.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gsocketprotocol.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gsocketprotocol.cpp